/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.archives.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TPreEmpBadRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 预入职-员工不良记录表
 *
 * @author hgw
 * @date 2024-06-17 11:31:08
 */
@Mapper
public interface TPreEmpBadRecordMapper extends BaseMapper<TPreEmpBadRecord> {
    /**
     * 预入职-员工不良记录表简单分页查询
     * @param tPreEmpBadRecord 预入职-员工不良记录表
     * @return
     */
	List<TPreEmpBadRecord> getTPreEmpBadRecordList(@Param("preMainId") String preMainId);
}
