/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.archives.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TPreEmpBadRecord;

import java.util.List;

/**
 * 预入职-员工不良记录表
 *
 * @author hgw
 * @date 2024-06-17 11:31:08
 */
public interface TPreEmpBadRecordService extends IService<TPreEmpBadRecord> {
	/**
	 * 预入职-员工不良记录表简单分页查询
	 *
	 * @return
	 */
	List<TPreEmpBadRecord> getTPreEmpBadRecordList(String preMainId);
}
